FORMS(3)

NAME
field_init, field_term, form_init, form_term, set_field_init, set_field_term, set_form_init, set_form_term - form library

LIBRARY
libform

SYNOPSIS
#include <form.h>
void (*)(FORM *)
field_init(FORM *form);
void (*)(FORM *)
field_term(FORM *form);
void (*)(FORM *)
form_init(FORM *form);
void (*)(FORM *)
form_term(FORM *form);
int
set_field_init(FORM *form, void (*function)(FORM *));
int
set_field_term(FORM *form, void (*function)(FORM *));
int
set_form_init(FORM *form, void (*function)(FORM *));
int
set_form_term(FORM *form, void (*function)(FORM *));

DESCRIPTION
The field_init() function returns a pointer to the function that will be called just after the current field changes and just before the form is posted, this function may be set by using the set_field_init() function. Similarly, the function field_term() will return a pointer to the function that will be called just before the current field changes and just after the form is unposted, this function pointer may be set by using the set_field_term() function. The form_init() function will return a pointer to the function that will be called just before the form is posted to the screen, this function can be set by calling the set_form_init() function. The form_term() function will return a pointer to the function that will be called just after the form is unposted from the screen, this function may be set by using the set_form_term() function. By default, the init and term function pointers are NULL.

RETURN VALUES
Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following error values:

E_OK
    The function was successful.

SEE ALSO
curses(3), forms(3)

NOTES
The header <form.h> automatically includes both <curses.h> and <eti.h>.